%define ocamlname batteries

Name:           ocaml-%{ocamlname}
Version:        2.8.0
Release:        1%{?dist}.emp1
Summary:        a community-maintained standard library extension
License:        LGPL-2.1+ with OCaml linking exception
URL:            https://github.com/mirage/ocaml-%{ocaml-name}
Source0:        %{ocamlname}-%{version}.tar.gz

Requires:  	ocaml >= 3.12.1
Requires:	ocaml-num

BuildRequires:  ocaml >= 3.12.1
BuildRequires:  ocaml-qtest >= 2.5
BuildRequires:  ocaml-qcheck >= 0.6
BuildRequires:  ocaml-bisect
BuildRequires:	ocaml-num-devel

%description
A community-maintained standard library extension.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:	ocaml-num-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{ocamlname}-%{version}

%build
ocaml setup.ml -configure --prefix %{_prefix}
make all

%install
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/ocaml/%{ocamlname}
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/ocaml/stublibs

export DESTDIR=$RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml

make install

%files
%doc LICENSE
%{_libdir}/ocaml/%{ocamlname}
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/%{ocamlname}/*.a
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%exclude %{_libdir}/ocaml/%{ocamlname}/*.mli

%files devel
%doc ChangeLog README.md FAQ
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{ocamlname}/*.a
%{_libdir}/ocaml/%{ocamlname}/*.cmxa
%{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%{_libdir}/ocaml/%{ocamlname}/*.mli
